Package twisted :: Package web :: Module server :: Class Request

[show private | hide private]
[frames | no frames]

## Class Request

    Jellyable --+
                |
     Serializable --+
                    |
             Copyable --+
                        |
              Request --+
                        |
                       Request

Known Subclasses:
  `Request`

Method Summary
| ``__init__`(self, channel, queued)` (inherited from `Request`)
| `__repr__(self)` (inherited from `Request`)
| ``addCookie`(self, k, v, expires, domain, path, max_age, comment, secure)` Set an outgoing HTTP cookie. (inherited from `Request`)
| ``childLink`(self, name)` Return the text that links to a child of the requested resource.
| ``finish`(self)` We are finished writing data. (inherited from `Request`)
| ``getAllHeaders`(self)` Return dictionary of all headers the request received. (inherited from `Request`)
| `getClient(self)` (inherited from `Request`)
| `getClientIP(self)` (inherited from `Request`)
| ``getCookie`(self, key)` Get a cookie that was sent from the network. (inherited from `Request`)
| ``getHeader`(self, key)` Get a header that was sent from the network. (inherited from `Request`)
| ``getHost`(self)` Get my originally requesting transport's host. (inherited from `Request`)
| `getPassword(self)` (inherited from `Request`)
| ``getRequestHostname`(self)` Get the hostname that the user passed in to the request. (inherited from `Request`)
| `getSession(self, sessionInterface)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer. (inherited from `Copyable`)
| `getStateToCopyFor(self, issuer)`
| ``getTypeToCopy`(self)` Determine what type tag to send for me. (inherited from `Copyable`)
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me. (inherited from `Copyable`)
| `getUser(self)` (inherited from `Request`)
| ``gotLength`(self, length)` Called when HTTP channel got length of content in this request. (inherited from `Request`)
| ``handleContentChunk`(self, data)` Write a chunk of data. (inherited from `Request`)
| `isSecure(self)` (inherited from `Request`)
| ``jellyFor`(self, jellier)` Assemble type tag and state to copy for this broker. (inherited from `Copyable`)
| ``noLongerQueued`(self)` Notify the object that it is no longer queued. (inherited from `Request`)
| ``parseCookies`(self)` Parse cookie headers. (inherited from `Request`)
| `pathRef(self)`
| `prePathURL(self)`
| ``process`(self)` Process a request.
| `processingFailed(self, reason)`
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``redirect`(self, url)` Utility function that does a redirect. (inherited from `Request`)
| ``registerProducer`(self, producer, streaming)` Register a producer. (inherited from `Request`)
| `render(self, resrc)`
| ``requestReceived`(self, command, path, version)` Called by channel when all data has been received. (inherited from `Request`)
| ``setETag`(self, etag)` Set an entity tagfor the outgoing response. (inherited from `Request`)
| ``setHeader`(self, k, v)` Set an outgoing HTTP header. (inherited from `Request`)
| ``setHost`(self, host, port, ssl)` Change the host and port the request thinks it's using. (inherited from `Request`)
| ``setLastModified`(self, when)` Set the Last-Modifiedtime for the response to this request. (inherited from `Request`)
| ``setResponseCode`(self, code, message)` Set the HTTP response code. (inherited from `Request`)
| ``sibLink`(self, name)` Return the text that links to a sibling of the requested resource.
| ``unregisterProducer`(self)` Unregister the producer. (inherited from `Request`)
| ``view_addCookie`(self, issuer, k, v, **kwargs)` Remote version of addCookie; same interface.
| ``view_finish`(self, issuer)` Remote version of finish; same interface.
| ``view_registerProducer`(self, issuer, producer, streaming)` Remote version of registerProducer; same interface.
| ``view_setETag`(self, issuer, tag)` Remote version of setETag; same interface.
| ``view_setHeader`(self, issuer, k, v)` Remote version of setHeader; same interface.
| ``view_setLastModified`(self, issuer, when)` Remote version of setLastModified; same interface.
| ``view_setResponseCode`(self, issuer, code)` Remote version of setResponseCode; same interface.
| `view_unregisterProducer(self, issuer)`
| ``view_write`(self, issuer, data)` Remote version of write; same interface.
| ``write`(self, data)` Write some data as a result of an HTTP request. (inherited from `Request`)
| `_authorize(self)` (inherited from `Request`)
| ``_cleanup`(self)` Called when have finished responding and are no longer queued. (inherited from `Request`)
| `_sendError(self, code, resp)` (inherited from `Request`)

Class Variable Summary
`string` | `__pychecker__`
`None` | `session`
`None` | `site`

Method Details

### childLink(self, name)

Return the text that links to a child of the requested resource.

### process(self)

Process a request.

### sibLink(self, name)

Return the text that links to a sibling of the requested resource.

### view_addCookie(self, issuer, k, v, **kwargs)

Remote version of addCookie; same interface.

### view_finish(self, issuer)

Remote version of finish; same interface.

### view_registerProducer(self, issuer, producer, streaming)

Remote version of registerProducer; same interface. (requires a remote producer.)

### view_setETag(self, issuer, tag)

Remote version of setETag; same interface.

### view_setHeader(self, issuer, k, v)

Remote version of setHeader; same interface.

### view_setLastModified(self, issuer, when)

Remote version of setLastModified; same interface.

### view_setResponseCode(self, issuer, code)

Remote version of setResponseCode; same interface.

### view_write(self, issuer, data)

Remote version of write; same interface.

Class Variable Details

### __pychecker__

  Type:
    `string`
  Value:

        'unusednames=issuer'

### session

  Type:
    `None`
  Value:

        None

### site

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:19:28 2003 | http://epydoc.sf.net